LockRequest (Oracle - Berkeley DB Java API)
Date: 2020-06-01

Package com.sleepycat.db

## Class LockRequest

- java.lang.Object
- - com.sleepycat.db.LockRequest

-     public class LockRequest
      extends java.lang.Object

  The LockRequest object is used to encapsulate a single lock request.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LockRequest​(LockOperation op, LockRequestMode mode, DatabaseEntry obj)` | Construct a LockRequest with the specified operation and mode for the specified object.
    `LockRequest​(LockOperation op, LockRequestMode mode, DatabaseEntry obj, Lock lock)` | Construct a LockRequest with the specified operation, mode and lock, for the specified object.
    `LockRequest​(LockOperation op, LockRequestMode mode, DatabaseEntry obj, Lock lock, int timeout)` | Construct a LockRequest with the specified operation, mode, lock and timeout for the specified object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Lock` | `getLock()` | Return the lock reference.
    `LockRequestMode` | `getMode()` | Return the lock mode.
    `DatabaseEntry` | `getObj()` | Return the lock object.
    `LockOperation` | `getOp()` | Return the lock operation.
    `int` | `getTimeout()` | Return the lock timeout value.
    `void` | `setLock​(Lock lock)` | Set the lock reference.
    `void` | `setMode​(LockRequestMode mode)` | Set the lock mode.
    `void` | `setObj​(DatabaseEntry obj)` | Set the lock object.
    `void` | `setOp​(LockOperation op)` | Set the operation.
    `void` | `setTimeout​(int timeout)` | Set the lock timeout value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LockRequest

          public LockRequest​(LockOperation op,
                             LockRequestMode mode,
                             DatabaseEntry obj)

      Construct a LockRequest with the specified operation and mode for the specified object.

      Parameters:
        `mode` - The permissions mode for the object.

        `obj` - The object being locked.

        `op` - The operation being performed.

    - #### LockRequest

          public LockRequest​(LockOperation op,
                             LockRequestMode mode,
                             DatabaseEntry obj,
                             Lock lock)

      Construct a LockRequest with the specified operation, mode and lock, for the specified object.

      Parameters:
        `mode` - The permissions mode for the object.

        `obj` - The object being locked.

        `op` - The operation being performed.

        `lock` - The lock type for the object.

    - #### LockRequest

          public LockRequest​(LockOperation op,
                             LockRequestMode mode,
                             DatabaseEntry obj,
                             Lock lock,
                             int timeout)

      Construct a LockRequest with the specified operation, mode, lock and timeout for the specified object.

      Parameters:
        `lock` - The lock type for the object.

        `mode` - The permissions mode for the object.

        `obj` - The object being locked.

        `op` - The operation being performed.

        `timeout` - The timeout value for the lock.

  - ### Method Detail

    - #### setLock

          public void setLock​(Lock lock)

      Set the lock reference.

      Parameters:
        `lock` - The lock reference.

    - #### setMode

          public void setMode​(LockRequestMode mode)

      Set the lock mode.

      Parameters:
        `mode` - the lock mode.

    - #### setObj

          public void setObj​(DatabaseEntry obj)

      Set the lock object.

      Parameters:
        `obj` - The lock object.

    - #### setOp

          public void setOp​(LockOperation op)

      Set the operation.

      Parameters:
        `op` - The operation.

    - #### setTimeout

          public void setTimeout​(int timeout)

      Set the lock timeout value.

      Parameters:
        `timeout` - The lock timeout value.

    - #### getLock

          public Lock getLock()

      Return the lock reference.
      Returns:
        the lock reference

    - #### getMode

          public LockRequestMode getMode()

      Return the lock mode.
      Returns:
        the lock mode

    - #### getObj

          public DatabaseEntry getObj()

      Return the lock object.
      Returns:
        the lock object

    - #### getOp

          public LockOperation getOp()

      Return the lock operation.
      Returns:
        the lock operation

    - #### getTimeout

          public int getTimeout()

      Return the lock timeout value.
      Returns:
        the lock timeout value

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.